VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "VDAddInClass"
Attribute VB_Creatable = True
Attribute VB_Exposed = True
Attribute VB_Description = "VisData Add-In Stub"
Dim AddInItems As Object
Dim VisDataMenu As Object

Sub ConnectAddIn(ByVal VBInst As Object)
  On Error GoTo error_handler
    
  Dim x As Long
  Dim AddInMenu As Object
  Dim VisDataClick As Object
    
  Set gobjVBInst = VBInst
  Set AddInMenu = gobjVBInst.AddInMenu
  Set AddInItems = AddInMenu.MenuItems
  Set VisDataMenu = AddInItems.Add("&VisData...")

  Set VisDataClick = Me
  x = VisDataMenu.ConnectEvents(VisDataClick)
  
  Exit Sub
    
error_handler:
  MsgBox Error$
  Exit Sub
    
End Sub

Sub DisconnectAddIn(ByVal mode As Integer)
  AddInItems.Remove VisDataMenu
End Sub

Sub AfterClick()
  Dim x As Object
  Set x = CreateObject("VisData.VisDataClass")
  x.VDSetAddIn gobjVBInst
End Sub

